# MoveChargeAnim | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class MoveChargeAnim

#### Hierarchy (View Summary)

- MoveAnim
  - MoveChargeAnim

- Defined in src/data/battle-anims.ts:1455

##### Index

### Constructors

constructor

### Properties

bgSprite
move
playRegardlessOfIssues
sprites
target
user

### Methods

getAnim
isHideTarget
isHideUser
isOppAnim
play
playWithoutTargets

## Constructors

### constructor

- new MoveChargeAnim(
  chargeAnim: ChargeAnim ,
  move: Moves ,
  user: default ,
  ): MoveChargeAnim

  #### Parameters

  - chargeAnim: ChargeAnim
  - move: Moves
  - user: default

  #### Returns MoveChargeAnim

  Overrides MoveAnim.constructor

  - Defined in src/data/battle-anims.ts:1458

## Properties

### bgSprite

bgSprite: TileSprite | Rectangle

Inherited from MoveAnim.bgSprite

- Defined in src/data/battle-anims.ts:825

### move

move: Moves

Inherited from MoveAnim.move

- Defined in src/data/battle-anims.ts:1428

### playRegardlessOfIssues

playRegardlessOfIssues: boolean

Will attempt to play as much of an animation as possible, even if not all targets are on the field. Will also play the animation, even if the user has selected "Move Animations" OFF in Settings. Exclusively used by MEs atm, for visual animations at the start of an encounter.

Inherited from MoveAnim.playRegardlessOfIssues

- Defined in src/data/battle-anims.ts:831

### sprites

sprites: Sprite[]

Inherited from MoveAnim.sprites

- Defined in src/data/battle-anims.ts:824

### target

target: null | default

Inherited from MoveAnim.target

- Defined in src/data/battle-anims.ts:823

### user

user: null | default

Inherited from MoveAnim.user

- Defined in src/data/battle-anims.ts:822

## Methods

### getAnim

- getAnim(): AnimConfig

  #### Returns AnimConfig

  Overrides MoveAnim.getAnim

  - Defined in src/data/battle-anims.ts:1468

### `Protected` isHideTarget

- isHideTarget(): boolean

  #### Returns boolean

  Inherited from MoveAnim.isHideTarget

  - Defined in src/data/battle-anims.ts:1450

### `Protected` isHideUser

- isHideUser(): boolean

  #### Returns boolean

  Inherited from MoveAnim.isHideUser

  - Defined in src/data/battle-anims.ts:1446

### isOppAnim

- isOppAnim(): boolean

  #### Returns boolean

  Overrides MoveAnim.isOppAnim

  - Defined in src/data/battle-anims.ts:1464

### play

- play(onSubstitute?: boolean, callback?: Function): void

  #### Parameters

  - `Optional` onSubstitute: boolean
  - `Optional` callback: Function

  #### Returns void

  Inherited from MoveAnim.play

  - Defined in src/data/battle-anims.ts:931

### playWithoutTargets

- playWithoutTargets(
  targetInitialX: number,
  targetInitialY: number,
  frameTimeMult: number,
  frameTimedEventPriority?: 0 | 1 | 3 | 5,
  callback?: Function,
  ): void

  #### Parameters

  - targetInitialX: number
  - targetInitialY: number
  - frameTimeMult: number
  - `Optional` frameTimedEventPriority: 0 | 1 | 3 | 5

    0 is behind all other sprites (except BG)

    - 1 on top of player field
    - 3 is on top of both fields
    - 5 is on top of player sprite
  - `Optional` callback: Function

  #### Returns void

  Inherited from MoveAnim.playWithoutTargets

  - Defined in src/data/battle-anims.ts:1266